# eric7.Plugins.VcsPlugins.vcsGit.GitChangeRemoteUrlDialog

Module implementing a dialog to change the URL of a remote git repository.

### Global Attributes

None

### Classes

GitChangeRemoteUrlDialog | Class implementing a dialog to change the URL of a remote git repository.

### Functions

None

## GitChangeRemoteUrlDialog

Class implementing a dialog to change the URL of a remote git repository.

### Derived from

QDialog, Ui_GitChangeRemoteUrlDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitChangeRemoteUrlDialog | Constructor
__updateOK | Private method to update the status of the OK button.
getData | Public method to get the entered data.
on_newUrlEdit_textChanged | Private slot handling changes of the entered URL.

### Static Methods

None

#### GitChangeRemoteUrlDialog (Constructor)

GitChangeRemoteUrlDialog(remoteName, remoteUrl, parent=None)

Constructor

remoteName (str)
  name of the remote repository
remoteUrl (str)
  URL of the remote repository
parent (QWidget)
  reference to the parent widget

#### GitChangeRemoteUrlDialog.__updateOK

__updateOK()

Private method to update the status of the OK button.

#### GitChangeRemoteUrlDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple with name and new URL of the remote repository

Return Type:
  tuple of (str, str)

#### GitChangeRemoteUrlDialog.on_newUrlEdit_textChanged

on_newUrlEdit_textChanged(txt)

Private slot handling changes of the entered URL.

txt (str)
  current text

Up